commit:     28a835ef4a8420fc9bfbcbfa277d4cd7ed2a77fa
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Oct  7 04:28:49 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Oct  7 04:43:26 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28a835ef

dev-python/build: Bump to 1.2.2_p1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/build/Manifest              |  1 +
 dev-python/build/build-1.2.2_p1.ebuild | 90 ++++++++++++++++++++++++++++++++++
 2 files changed, 91 insertions(+)

diff --git a/dev-python/build/Manifest b/dev-python/build/Manifest
index 0328f3d20603..981c8ec9fb7c 100644
--- a/dev-python/build/Manifest
+++ b/dev-python/build/Manifest
@@ -1 +1,2 @@
 DIST build-1.2.2.gh.tar.gz 48587 BLAKE2B 
308faba9fca554fc2ea347d20ee2f2a460060922c028d7ae37648290f4caa374616105d740ed285729204028d40bfb838b4de59ae20eaa8db1c0924f0d1cd8a8
 SHA512 
91e14208680915414a87bd3ba31229510a78d82d5504efc40cf7f9c6a7a698cfa4ff523f85c2dd6a56b5e313fae57134f64f2c328c88cd40efe40236b0b661cc
+DIST build-1.2.2.post1.gh.tar.gz 48790 BLAKE2B 
6ccc68095a3135aca225ea4d2d68d8afaab640d533ca19ad0f7c45d1e40a74cfc6dc2313d07755b81151ef926b5ab6e67c9a07e0f642de969053e9539d7d294a
 SHA512 
bdf023c6b578ea77c7fc49c71c7d908bcc9ff6b9255b2767e45b09aca0a39a5297d264695a864fe34772e5d8898a18a90f6e262514bf90daf14db762a8bbe4be

diff --git a/dev-python/build/build-1.2.2_p1.ebuild 
b/dev-python/build/build-1.2.2_p1.ebuild
new file mode 100644
index 000000000000..b99b7494fb84
--- /dev/null
+++ b/dev-python/build/build-1.2.2_p1.ebuild
@@ -0,0 +1,90 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_TESTED=( python3_{10..13} pypy3 )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="A simple, correct PEP517 package builder"
+HOMEPAGE="
+       https://pypi.org/project/build/
+       https://github.com/pypa/build/
+"
+SRC_URI="
+       https://github.com/pypa/build/archive/${PV/_p/.post}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+IUSE="test-rust"
+
+RDEPEND="
+       >=dev-python/packaging-19.1[${PYTHON_USEDEP}]
+       dev-python/pyproject-hooks[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               >=dev-python/tomli-1.1.0[${PYTHON_USEDEP}]
+       ' 3.10)
+"
+BDEPEND="
+       test? (
+               $(python_gen_cond_dep '
+                       >=dev-python/filelock-3[${PYTHON_USEDEP}]
+                       >=dev-python/pytest-mock-2[${PYTHON_USEDEP}]
+                       >=dev-python/pytest-rerunfailures-9.1[${PYTHON_USEDEP}]
+                       >=dev-python/pytest-xdist-1.34[${PYTHON_USEDEP}]
+                       >=dev-python/setuptools-56.0.0[${PYTHON_USEDEP}]
+                       >=dev-python/virtualenv-20.0.35[${PYTHON_USEDEP}]
+                       >=dev-python/wheel-0.36.0[${PYTHON_USEDEP}]
+                       test-rust? (
+                               !s390? ( !sparc? ( dev-python/uv ) )
+                       )
+               ' "${PYTHON_TESTED[@]}")
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       if ! has "${EPYTHON/./_}" "${PYTHON_TESTED[@]}"; then
+               einfo "Skipping tests on ${EPYTHON}"
+               return
+       fi
+
+       local EPYTEST_DESELECT=(
+               # broken by the presence of flit_core
+               tests/test_util.py::test_wheel_metadata_isolation
+               # broken by the presence of virtualenv (it changes the error
+               # messages, sic!)
+               'tests/test_main.py::test_output[via-sdist-isolation]'
+               'tests/test_main.py::test_output[wheel-direct-isolation]'
+               # broken when built in not normal tty on coloring
+               tests/test_main.py::test_colors
+               'tests/test_main.py::test_output_env_subprocess_error[color]'
+               # Internet
+               'tests/test_main.py::test_verbose_output[False-0]'
+               'tests/test_main.py::test_verbose_output[False-1]'
+               # broken by uv being installed outside venv
+               tests/test_env.py::test_external_uv_detection_success
+               # broken by unbundled pip (TODO: fix pip eventually)
+               
'tests/test_projectbuilder.py::test_build_with_dep_on_console_script[False]'
+       )
+
+       if ! has_version "dev-python/uv"; then
+               EPYTEST_DESELECT+=(
+                       tests/test_env.py::test_uv_impl_install_cmd_well_formed
+                       'tests/test_env.py::test_venv_creation[uv-venv+uv-None]'
+               )
+       fi
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       local EPYTEST_XDIST=1
+       epytest -m "not network" -p pytest_mock -p rerunfailures
+}

Reply via email to